%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 2>/dev/null)}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" 2>/dev/null || echo 0.0)}

%global svnrev  14567
%global svndate 20150507

Name:           trac-wysiwyg-plugin
Version:        0.12.0.5
Release:        1%{?dist}
Summary:        TracWiki WYSIWYG Editor Plugin
Group:          Applications/Internet
License:        Copyright only
URL:            https://trac-hacks.org/wiki/TracWysiwygPlugin
Source0:        tracwysiwygplugin-%{svnrev}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  trac >= 0.12
Requires:       trac >= 0.12

# Required for import of pkg_resources
Requires:       python-setuptools

# Need at least this version
%if "%{?rhel}" == "6"
Requires:       python-genshi06
%else
Requires:       python-genshi >= 0.6
%endif

%description
Trac Wysiwyg editor embedded into textarea.wikitext.

%prep
%setup -n tracwysiwygplugin/0.12 -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%dir %{python_sitelib}/tracwysiwyg/
%{python_sitelib}/tracwysiwyg/*.py*
%{python_sitelib}/tracwysiwyg/htdocs/
%{python_sitelib}/TracWysiwyg-%{version}-py%{pybasever}.egg-info/

%changelog
* Thu May 07 2015 Josko Plazonic <plazonic@princeton.edu> 
- initial build
